Package org.apache.storm.generated

# Class TopologyInfo

java.lang.Object
org.apache.storm.generated.TopologyInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TopologyInfo>`, `org.apache.storm.thrift.TBase<TopologyInfo,TopologyInfo._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class TopologyInfo extends Object implements org.apache.storm.thrift.TBase<TopologyInfo,TopologyInfo._Fields>, Serializable, Cloneable, Comparable<TopologyInfo>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `TopologyInfo._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<TopologyInfo._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopologyInfo()`
  `TopologyInfo(String id, String name, int uptime_secs, List<ExecutorSummary> executors, String status, Map<String,List<ErrorInfo>> errors)`
  `TopologyInfo(TopologyInfo other)`
  Performs a deep copy on other.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add_to_executors(ExecutorSummary elem)`
  `void`
  `clear()`
  `int`
  `compareTo(TopologyInfo other)`
  `TopologyInfo`
  `deepCopy()`
  `boolean`
  `equals(Object that)`
  `boolean`
  `equals(TopologyInfo that)`
  `TopologyInfo._Fields`
  `fieldForId(int fieldId)`
  `double`
  `get_assigned_cpu()`
  `double`
  `get_assigned_memoffheap()`
  `double`
  `get_assigned_memonheap()`
  `Map<String,DebugOptions>`
  `get_component_debug()`
  `int`
  `get_component_debug_size()`
  `Map<String,List<ErrorInfo>>`
  `get_errors()`
  `int`
  `get_errors_size()`
  `List<ExecutorSummary>`
  `get_executors()`
  `Iterator<ExecutorSummary>`
  `get_executors_iterator()`
  `int`
  `get_executors_size()`
  `String`
  `get_id()`
  `String`
  `get_name()`
  `String`
  `get_owner()`
  `int`
  `get_replication_count()`
  `double`
  `get_requested_cpu()`
  `double`
  `get_requested_memoffheap()`
  `double`
  `get_requested_memonheap()`
  `String`
  `get_sched_status()`
  `String`
  `get_status()`
  `String`
  `get_storm_version()`
  `int`
  `get_uptime_secs()`
  `Object`
  `getFieldValue(TopologyInfo._Fields field)`
  `int`
  `hashCode()`
  `boolean`
  `is_set_assigned_cpu()`
  Returns true if field assigned_cpu is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_assigned_memoffheap()`
  Returns true if field assigned_memoffheap is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_assigned_memonheap()`
  Returns true if field assigned_memonheap is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_component_debug()`
  Returns true if field component_debug is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_errors()`
  Returns true if field errors is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_executors()`
  Returns true if field executors is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_id()`
  Returns true if field id is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_name()`
  Returns true if field name is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_owner()`
  Returns true if field owner is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_replication_count()`
  Returns true if field replication_count is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_requested_cpu()`
  Returns true if field requested_cpu is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_requested_memoffheap()`
  Returns true if field requested_memoffheap is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_requested_memonheap()`
  Returns true if field requested_memonheap is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_sched_status()`
  Returns true if field sched_status is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_status()`
  Returns true if field status is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_storm_version()`
  Returns true if field storm_version is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_uptime_secs()`
  Returns true if field uptime_secs is set (has been assigned a value) and false otherwise
  `boolean`
  `isSet(TopologyInfo._Fields field)`
  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
  `void`
  `put_to_component_debug(String key, DebugOptions val)`
  `void`
  `put_to_errors(String key, List<ErrorInfo> val)`
  `void`
  `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
  `void`
  `set_assigned_cpu(double assigned_cpu)`
  `void`
  `set_assigned_cpu_isSet(boolean value)`
  `void`
  `set_assigned_memoffheap(double assigned_memoffheap)`
  `void`
  `set_assigned_memoffheap_isSet(boolean value)`
  `void`
  `set_assigned_memonheap(double assigned_memonheap)`
  `void`
  `set_assigned_memonheap_isSet(boolean value)`
  `void`
  `set_component_debug(Map<String,DebugOptions> component_debug)`
  `void`
  `set_component_debug_isSet(boolean value)`
  `void`
  `set_errors(Map<String,List<ErrorInfo>> errors)`
  `void`
  `set_errors_isSet(boolean value)`
  `void`
  `set_executors(List<ExecutorSummary> executors)`
  `void`
  `set_executors_isSet(boolean value)`
  `void`
  `set_id(String id)`
  `void`
  `set_id_isSet(boolean value)`
  `void`
  `set_name(String name)`
  `void`
  `set_name_isSet(boolean value)`
  `void`
  `set_owner(String owner)`
  `void`
  `set_owner_isSet(boolean value)`
  `void`
  `set_replication_count(int replication_count)`
  `void`
  `set_replication_count_isSet(boolean value)`
  `void`
  `set_requested_cpu(double requested_cpu)`
  `void`
  `set_requested_cpu_isSet(boolean value)`
  `void`
  `set_requested_memoffheap(double requested_memoffheap)`
  `void`
  `set_requested_memoffheap_isSet(boolean value)`
  `void`
  `set_requested_memonheap(double requested_memonheap)`
  `void`
  `set_requested_memonheap_isSet(boolean value)`
  `void`
  `set_sched_status(String sched_status)`
  `void`
  `set_sched_status_isSet(boolean value)`
  `void`
  `set_status(String status)`
  `void`
  `set_status_isSet(boolean value)`
  `void`
  `set_storm_version(String storm_version)`
  `void`
  `set_storm_version_isSet(boolean value)`
  `void`
  `set_uptime_secs(int uptime_secs)`
  `void`
  `set_uptime_secs_isSet(boolean value)`
  `void`
  `setFieldValue(TopologyInfo._Fields field, Object value)`
  `String`
  `toString()`
  `void`
  `unset_assigned_cpu()`
  `void`
  `unset_assigned_memoffheap()`
  `void`
  `unset_assigned_memonheap()`
  `void`
  `unset_component_debug()`
  `void`
  `unset_errors()`
  `void`
  `unset_executors()`
  `void`
  `unset_id()`
  `void`
  `unset_name()`
  `void`
  `unset_owner()`
  `void`
  `unset_replication_count()`
  `void`
  `unset_requested_cpu()`
  `void`
  `unset_requested_memoffheap()`
  `void`
  `unset_requested_memonheap()`
  `void`
  `unset_sched_status()`
  `void`
  `unset_status()`
  `void`
  `unset_storm_version()`
  `void`
  `unset_uptime_secs()`
  `void`
  `validate()`
  `void`
  `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<TopologyInfo._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### TopologyInfo

    public TopologyInfo()

  - ### TopologyInfo

    public TopologyInfo(String id, String name, int uptime_secs, List<ExecutorSummary> executors, String status, Map<String,List<ErrorInfo>> errors)

  - ### TopologyInfo

    public TopologyInfo(TopologyInfo other)
    Performs a deep copy on other.

- ## Method Details

  - ### deepCopy

    public TopologyInfo deepCopy()
    Specified by:
      `deepCopy` in interface `org.apache.storm.thrift.TBase<TopologyInfo,TopologyInfo._Fields>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.storm.thrift.TBase<TopologyInfo,TopologyInfo._Fields>`

  - ### get_id

    public String get_id()

  - ### set_id

    public void set_id(String id)

  - ### unset_id

    public void unset_id()

  - ### is_set_id

    public boolean is_set_id()
    Returns true if field id is set (has been assigned a value) and false otherwise

  - ### set_id_isSet

    public void set_id_isSet(boolean value)

  - ### get_name

    public String get_name()

  - ### set_name

    public void set_name(String name)

  - ### unset_name

    public void unset_name()

  - ### is_set_name

    public boolean is_set_name()
    Returns true if field name is set (has been assigned a value) and false otherwise

  - ### set_name_isSet

    public void set_name_isSet(boolean value)

  - ### get_uptime_secs

    public int get_uptime_secs()

  - ### set_uptime_secs

    public void set_uptime_secs(int uptime_secs)

  - ### unset_uptime_secs

    public void unset_uptime_secs()

  - ### is_set_uptime_secs

    public boolean is_set_uptime_secs()
    Returns true if field uptime_secs is set (has been assigned a value) and false otherwise

  - ### set_uptime_secs_isSet

    public void set_uptime_secs_isSet(boolean value)

  - ### get_executors_size

    public int get_executors_size()

  - ### get_executors_iterator

    public Iterator<ExecutorSummary> get_executors_iterator()

  - ### add_to_executors

    public void add_to_executors(ExecutorSummary elem)

  - ### get_executors

    public List<ExecutorSummary> get_executors()

  - ### set_executors

    public void set_executors(List<ExecutorSummary> executors)

  - ### unset_executors

    public void unset_executors()

  - ### is_set_executors

    public boolean is_set_executors()
    Returns true if field executors is set (has been assigned a value) and false otherwise

  - ### set_executors_isSet

    public void set_executors_isSet(boolean value)

  - ### get_status

    public String get_status()

  - ### set_status

    public void set_status(String status)

  - ### unset_status

    public void unset_status()

  - ### is_set_status

    public boolean is_set_status()
    Returns true if field status is set (has been assigned a value) and false otherwise

  - ### set_status_isSet

    public void set_status_isSet(boolean value)

  - ### get_errors_size

    public int get_errors_size()

  - ### put_to_errors

    public void put_to_errors(String key, List<ErrorInfo> val)

  - ### get_errors

    public Map<String,List<ErrorInfo>> get_errors()

  - ### set_errors

    public void set_errors(Map<String,List<ErrorInfo>> errors)

  - ### unset_errors

    public void unset_errors()

  - ### is_set_errors

    public boolean is_set_errors()
    Returns true if field errors is set (has been assigned a value) and false otherwise

  - ### set_errors_isSet

    public void set_errors_isSet(boolean value)

  - ### get_component_debug_size

    public int get_component_debug_size()

  - ### put_to_component_debug

    public void put_to_component_debug(String key, DebugOptions val)

  - ### get_component_debug

    public Map<String,DebugOptions> get_component_debug()

  - ### set_component_debug

    public void set_component_debug(Map<String,DebugOptions> component_debug)

  - ### unset_component_debug

    public void unset_component_debug()

  - ### is_set_component_debug

    public boolean is_set_component_debug()
    Returns true if field component_debug is set (has been assigned a value) and false otherwise

  - ### set_component_debug_isSet

    public void set_component_debug_isSet(boolean value)

  - ### get_storm_version

    public String get_storm_version()

  - ### set_storm_version

    public void set_storm_version(String storm_version)

  - ### unset_storm_version

    public void unset_storm_version()

  - ### is_set_storm_version

    public boolean is_set_storm_version()
    Returns true if field storm_version is set (has been assigned a value) and false otherwise

  - ### set_storm_version_isSet

    public void set_storm_version_isSet(boolean value)

  - ### get_sched_status

    public String get_sched_status()

  - ### set_sched_status

    public void set_sched_status(String sched_status)

  - ### unset_sched_status

    public void unset_sched_status()

  - ### is_set_sched_status

    public boolean is_set_sched_status()
    Returns true if field sched_status is set (has been assigned a value) and false otherwise

  - ### set_sched_status_isSet

    public void set_sched_status_isSet(boolean value)

  - ### get_owner

    public String get_owner()

  - ### set_owner

    public void set_owner(String owner)

  - ### unset_owner

    public void unset_owner()

  - ### is_set_owner

    public boolean is_set_owner()
    Returns true if field owner is set (has been assigned a value) and false otherwise

  - ### set_owner_isSet

    public void set_owner_isSet(boolean value)

  - ### get_replication_count

    public int get_replication_count()

  - ### set_replication_count

    public void set_replication_count(int replication_count)

  - ### unset_replication_count

    public void unset_replication_count()

  - ### is_set_replication_count

    public boolean is_set_replication_count()
    Returns true if field replication_count is set (has been assigned a value) and false otherwise

  - ### set_replication_count_isSet

    public void set_replication_count_isSet(boolean value)

  - ### get_requested_memonheap

    public double get_requested_memonheap()

  - ### set_requested_memonheap

    public void set_requested_memonheap(double requested_memonheap)

  - ### unset_requested_memonheap

    public void unset_requested_memonheap()

  - ### is_set_requested_memonheap

    public boolean is_set_requested_memonheap()
    Returns true if field requested_memonheap is set (has been assigned a value) and false otherwise

  - ### set_requested_memonheap_isSet

    public void set_requested_memonheap_isSet(boolean value)

  - ### get_requested_memoffheap

    public double get_requested_memoffheap()

  - ### set_requested_memoffheap

    public void set_requested_memoffheap(double requested_memoffheap)

  - ### unset_requested_memoffheap

    public void unset_requested_memoffheap()

  - ### is_set_requested_memoffheap

    public boolean is_set_requested_memoffheap()
    Returns true if field requested_memoffheap is set (has been assigned a value) and false otherwise

  - ### set_requested_memoffheap_isSet

    public void set_requested_memoffheap_isSet(boolean value)

  - ### get_requested_cpu

    public double get_requested_cpu()

  - ### set_requested_cpu

    public void set_requested_cpu(double requested_cpu)

  - ### unset_requested_cpu

    public void unset_requested_cpu()

  - ### is_set_requested_cpu

    public boolean is_set_requested_cpu()
    Returns true if field requested_cpu is set (has been assigned a value) and false otherwise

  - ### set_requested_cpu_isSet

    public void set_requested_cpu_isSet(boolean value)

  - ### get_assigned_memonheap

    public double get_assigned_memonheap()

  - ### set_assigned_memonheap

    public void set_assigned_memonheap(double assigned_memonheap)

  - ### unset_assigned_memonheap

    public void unset_assigned_memonheap()

  - ### is_set_assigned_memonheap

    public boolean is_set_assigned_memonheap()
    Returns true if field assigned_memonheap is set (has been assigned a value) and false otherwise

  - ### set_assigned_memonheap_isSet

    public void set_assigned_memonheap_isSet(boolean value)

  - ### get_assigned_memoffheap

    public double get_assigned_memoffheap()

  - ### set_assigned_memoffheap

    public void set_assigned_memoffheap(double assigned_memoffheap)

  - ### unset_assigned_memoffheap

    public void unset_assigned_memoffheap()

  - ### is_set_assigned_memoffheap

    public boolean is_set_assigned_memoffheap()
    Returns true if field assigned_memoffheap is set (has been assigned a value) and false otherwise

  - ### set_assigned_memoffheap_isSet

    public void set_assigned_memoffheap_isSet(boolean value)

  - ### get_assigned_cpu

    public double get_assigned_cpu()

  - ### set_assigned_cpu

    public void set_assigned_cpu(double assigned_cpu)

  - ### unset_assigned_cpu

    public void unset_assigned_cpu()

  - ### is_set_assigned_cpu

    public boolean is_set_assigned_cpu()
    Returns true if field assigned_cpu is set (has been assigned a value) and false otherwise

  - ### set_assigned_cpu_isSet

    public void set_assigned_cpu_isSet(boolean value)

  - ### setFieldValue

    public void setFieldValue(TopologyInfo._Fields field, Object value)
    Specified by:
      `setFieldValue` in interface `org.apache.storm.thrift.TBase<TopologyInfo,TopologyInfo._Fields>`

  - ### getFieldValue

    public Object getFieldValue(TopologyInfo._Fields field)
    Specified by:
      `getFieldValue` in interface `org.apache.storm.thrift.TBase<TopologyInfo,TopologyInfo._Fields>`

  - ### isSet

    public boolean isSet(TopologyInfo._Fields field)
    Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    Specified by:
      `isSet` in interface `org.apache.storm.thrift.TBase<TopologyInfo,TopologyInfo._Fields>`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(TopologyInfo that)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(TopologyInfo other)
    Specified by:
      `compareTo` in interface `Comparable<TopologyInfo>`

  - ### fieldForId

    public TopologyInfo._Fields fieldForId(int fieldId)
    Specified by:
      `fieldForId` in interface `org.apache.storm.thrift.TBase<TopologyInfo,TopologyInfo._Fields>`

  - ### read

    public void read(org.apache.storm.thrift.protocol.TProtocol iprot) throws org.apache.storm.thrift.TException
    Specified by:
      `read` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### write

    public void write(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `write` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### validate

    public void validate() throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`